--- bk-linus/drivers/scsi/scsi_ioctl.c	2002-11-21 02:18:20.000000000 +0000
+++ linux-2.5/drivers/scsi/scsi_ioctl.c	2002-11-21 20:13:01.000000000 +0000
@@ -395,10 +395,12 @@ error:
 static int
 scsi_ioctl_get_pci(Scsi_Device * dev, void *arg)
 {
-
-        if (!dev->host->pci_dev) return -ENXIO;
-        return copy_to_user(arg, dev->host->pci_dev->slot_name,
-                            sizeof(dev->host->pci_dev->slot_name));
+	if (!dev->host->pci_dev)
+		return -ENXIO;
+	if(copy_to_user(arg, dev->host->pci_dev->slot_name,
+			sizeof(dev->host->pci_dev->slot_name)))
+		return -EFAULT;
+	return 0;
 }
 
 
